| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
qx::QxClass< T >::invokeHelper< U, V, dummy > Struct Template Reference

List of all members.

## Static Public Member Functions
static qx_bool | invoke (const QString &sKey, U *pOwner, const QString &params, qx::any *ret, IxFunction_ptr pFct)
static qx_bool | invoke (const QString &sKey, U *pOwner, const type_any_params &params, qx::any *ret, IxFunction_ptr pFct)
static qx_bool | invoke (const QString &sKey, const QString &params, qx::any *ret, IxFunction_ptr pFct)
static qx_bool | invoke (const QString &sKey, const type_any_params &params, qx::any *ret, IxFunction_ptr pFct)

## Detailed Description

### template<class T>
template<typename U, typename V, int dummy>
struct qx::QxClass< T >::invokeHelper< U, V, dummy >

Definition at line 190 of file QxClass.h.

## Member Function Documentation

template<class T>
template<typename U , typename V , int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< U, V, dummy >::invoke | ( | const QString & | sKey,
|  | U * | pOwner,
|  | const QString & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 192 of file QxClass.h.

template<class T>
template<typename U , typename V , int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< U, V, dummy >::invoke | ( | const QString & | sKey,
|  | U * | pOwner,
|  | const type_any_params & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 195 of file QxClass.h.

template<class T>
template<typename U , typename V , int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< U, V, dummy >::invoke | ( | const QString & | sKey,
|  | const QString & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 198 of file QxClass.h.

template<class T>
template<typename U , typename V , int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< U, V, dummy >::invoke | ( | const QString & | sKey,
|  | const type_any_params & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 201 of file QxClass.h.

The documentation for this struct was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxRegister/QxClass.h